$(function(){
    $.each($('.delete-field-item'), function(index, value) {
        var container = $(value).parents('.field_list').first();
        var count = $(container).find('.form-group').length;
        if(count <= 1) {
            $(container).find('.delete-field-item').addClass('hidden');
        }
    });
    $(document).on('click', '.delete-field-item', function(){
        var container = $(this).parents('.field_list').first();
        $(this).parent('.form-group').remove();
        var count = $(container).find('.form-group').length;
        if(count <= 1) {
            $(container).find('.delete-field-item').addClass('hidden');
        }
    });
    $(document).on('click', '[class*=add_field_w]', function() {
        var container = $(this).siblings('.field_list').first();
        var count = $(container).find('.form-group').length;
        if(count > 1) {
            $(container).find('.delete-field-item').removeClass('hidden');
        }
    });
});